Page MenuHomePhabricator

Link in Source Column shows link from Target Wikipedia
Closed, ResolvedPublic

Description

While opening link from Source column content, it should be from Source Wikipedia instead of Target (Which makes links non-working).

See:

Event Timeline

KartikMistry raised the priority of this task from to Needs Triage.
KartikMistry updated the task description. (Show Details)
KartikMistry added a subscriber: KartikMistry.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 24 2015, 7:32 AM

What do you meant by links not working?
Can you explain what is wrong in screenshot? Is this a screenshot of source column?
How did you open the link? When I control+click a link in source column I see it open in source language wiki.

Arrbee set Security to None.
Arrbee moved this task from Backlog to Links on the ContentTranslation-Release5 board.
Amire80 triaged this task as Low priority.May 4 2015, 4:51 PM
Amire80 added a subscriber: Amire80.

@KartikMistry, can you please add details?

OK, it's not resolved, and I can reproduce it consistently myself, and it's actually quite simple:

Expected: the link from the English article column to "Moscow" must point to https://en.wikipedia.org/wiki/Moscow .
Observed: It points to https://he.wikipedia.org/wiki/Moscow - 'he' instead of 'en'.

Amire80 raised the priority of this task from Low to Normal.Jul 1 2015, 1:09 PM

Actually, @KartikMistry's first screenshot shows it :)

Amire80 moved this task from Needs Triage to CX6 on the ContentTranslation board.Jul 2 2015, 5:05 PM

Change 241613 had a related patch set uploaded (by Amire80):
Set absolute URLs for source links

https://gerrit.wikimedia.org/r/241613

Amire80 closed this task as Resolved.Sep 29 2015, 9:38 AM
Amire80 assigned this task to santhosh.
Amire80 added a project: LE-CX6-Sprint break.
Amire80 added subscribers: Arrbee, Laotinant.

Change 241613 merged by jenkins-bot:
Set absolute URLs for source links

https://gerrit.wikimedia.org/r/241613

Amire80 moved this task from Backlog to Done on the LE-CX6-Sprint break board.